/*! \file timer1.h \brief Timer 1 als Zeitbasis benutzen */
/***************************************************************************
 *            timer.h
 *
 *  Sun Jul 16 12:52:44 2006
 *  Copyright  2006  User
 *  Email
 ****************************************************************************/
///	\ingroup hardware
/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
//@{
#ifndef _TIMER1_H
	#define _TIMER1_H
	
	#define SECDIV 100

	typedef void ( * TIMER1_CALLBACK_FUNC ) ( void );
	
	#define MAX_TIMER1_CALLBACKS		2
	#define MAX_TIMER1_COUNTDOWNTIMER	2
		
	void timer1_init(void);

	#define FALSE				0
	#define TRUE				(!FALSE)
	#define NULL				0
	#define COUNDOWNTIMER_UNUSE	65535

	unsigned char timer1_sec_RegisterCallbackFunction( TIMER1_CALLBACK_FUNC pFunc );
	unsigned char timer1_sec_RemoveCallbackFunction( TIMER1_CALLBACK_FUNC pFunc );
	unsigned char timer1_msec_RegisterCallbackFunction( TIMER1_CALLBACK_FUNC pFunc );
	unsigned char timer1_msec_RemoveCallbackFunction( TIMER1_CALLBACK_FUNC pFunc );

	unsigned char timer1_msec_RegisterCoundowntimer( void );
	void timer1_msec_SetCountdownTimer( unsigned char timer, unsigned int value );
	unsigned int timer1_msec_GetCountdownTimer( unsigned char timer );
	void timer1_msec_ReleaseCountdownTimer( unsigned char timer );

	extern unsigned char ms;
	extern unsigned char ss;
	extern unsigned char mm;
	extern unsigned char hh;

#endif /* _TIMER_H */
//@}
