/****************************************************************************
 *            main.c
 *
 *  Mon May 29 20:26:59 2006
 *  Copyright  2006  sharandac
 *  Email sharandac(at)snafu.de
 ****************************************************************************/
 
#include <avr/io.h>
#include <avr/wdt.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include "hardware/timer1.h"
#include "hardware/spi.h"
#include "hardware/mem-check.h"
#include "hardware/uart.h"
#include "net/network.h"

void main(void) 
	{
	// COntroller Setup
	uart_init(12); // RS232 init mit 38400Baud
	OSCCAL = 196; // internen OSCCAL setzten um eine vernünftig genaue Uhr zu haben
		
	// Ein paar ausgaben zum Start
	printf_P( PSTR("%c[2J"),27 ); // Bildschirm löschen in Terminalprogram
	printf_P( PSTR("Freier Speicher in Bytes: %d\r\n"), get_mem_unused() );
	// Timer init
	timer1_init(); // timer1 init ( 1/100s ) bei 8MHz

	Network_init( DHCP | NTP | IRQMODE );
	// Server init
	telnet_init(); // Telnet-server starten 
	httpd_init();  // http-server starten

	while( 1 )
	{
		telnet_thread();
		httpd_thread();
	}
	return;
}
